## com.fasterxml.jackson.databind.ser.impl
Class SimpleBeanPropertyFilter.FilterExceptFilter

    java.lang.Object
      com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
          com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter.FilterExceptFilter

All Implemented Interfaces:
  BeanPropertyFilter, Serializable

Enclosing class:
  SimpleBeanPropertyFilter

    public static class SimpleBeanPropertyFilter.FilterExceptFilter

extends SimpleBeanPropertyFilter
implements Serializable

Filter implementation which defaults to filtering out unknown properties and only serializes ones explicitly listed.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
`SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter`

Field Summary
`protected Set<String>` `_propertiesToInclude` Set of property names to serialize.

Constructor Summary
`SimpleBeanPropertyFilter.FilterExceptFilter(Set<String> properties)`

Method Summary
`protected boolean` `include(BeanPropertyWriter writer)` Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)

Methods inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
`depositSchemaProperty, depositSchemaProperty, filterOutAllExcept, filterOutAllExcept, serializeAllExcept, serializeAllExcept, serializeAsField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _propertiesToInclude

    protected final Set<String> _propertiesToInclude

  Set of property names to serialize.

Constructor Detail

### SimpleBeanPropertyFilter.FilterExceptFilter

    public SimpleBeanPropertyFilter.FilterExceptFilter(Set<String> properties)

Method Detail

### include

    protected boolean include(BeanPropertyWriter writer)

  Description copied from class: `SimpleBeanPropertyFilter`
  Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)

  Specified by:
    `include` in class `SimpleBeanPropertyFilter`

Copyright © 2012 FasterXML. All Rights Reserved.